%define filever 37p3
%define	major	1
%define	libname	%mklibname canna %{major}

Name:		canna
Summary:	Japanese Kana-Kanji translation engine
Version:	3.7p3
%define subrel 1
Release:	%mkrel 25
License:	MIT
Group:		System/Internationalization
URL:		http://sourceforge.jp/projects/canna/
Source:		Canna%{filever}.tar.bz2
Source1:	canna.init
Patch1:		canna-3.7p1-config.patch
Patch2:		canna-3.7p1-buildfix.patch
Patch3:		canna-3.7p1-fix-str-fmt.patch
Patch4:		safe-sockdir.patch
Requires:	locales-ja
BuildRequires:	imake

# this is for serviceadd, etc.
Requires(post): rpm-helper
Requires(preun): rpm-helper
# this is for useradd, groupadd, etc.
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description
Canna is a Japanese Kana-Kanji translation engine.


%package -n	%{libname}
Summary:	Canna libraries
Group:		System/Internationalization

%description -n	%{libname}
Canna libraries.

%package -n	%{libname}-devel
Summary:	Headers and libraries of Canna for development
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers and libraries of Canna for development.


%prep
%setup -q -n Canna%{filever}
%autopatch -p0

%build
xmkmf
make canna EXTRA_LDOPTIONS="%ldflags" CCOPTIONS="%optflags"

%install
%make_install sysconfdir=%{buildroot}%{_sysconfdir} libCannaDir=%{_libdir}
%__install -D %SOURCE1 %{buildroot}%{_initrddir}/canna

%__install -d %{buildroot}%{_sysconfdir}/logrotate.d
cat << EOF > %{buildroot}%{_sysconfdir}/logrotate.d/canna
/var/log/canna/CANNA?msgs {
    notifempty
    missingok
}
EOF

%pre
%_pre_useradd canna %_datadir/canna /sbin/nologin

%post
%_post_service canna

%preun
%_preun_service canna

%postun
%_postun_userdel canna

%files
%defattr(0755,root,root,0755)
%{_sbindir}/*
%{_bindir}/*
%{_initrddir}/*
%defattr(0644,root,root,0755)
%doc CHANGES.jp ChangeLog README README.jp WHATIS WHATIS.jp
%dir %{_var}/lib/canna
%config(noreplace) %{_sysconfdir}/logrotate.d/canna
%config(noreplace) %{_var}/lib/canna/default.canna
%{_var}/lib/canna/sample
%dir %attr(755,canna,canna) %{_var}/lib/canna/dic
%dir %attr(755,canna,canna) %{_var}/lib/canna/dic/canna
%attr(644,canna,canna) %config(noreplace) %{_var}/lib/canna/dic/*.cbp
%attr(644,canna,canna) %config(noreplace) %{_var}/lib/canna/dic/canna/*
%attr(755,canna,canna) %dir %{_var}/log/canna

%files -n %{libname}
%defattr(0755,root,root,0755)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(0644,root,root,0755)
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*





%changelog
* Mon Aug 22 2022 ns80 <ns80> 3.7p3-25.1.mga8
+ Revision: 1879377
- add patch from openSUSE for CVE-2022-21950 (mga#30755)

* Wed Feb 12 2020 umeabot <umeabot> 25.mga8-current
+ Revision: 1511196
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Sep 22 2018 umeabot <umeabot> 3.7p3-24.mga7
+ Revision: 1295969
- Mageia 7 Mass Rebuild

* Sat Feb 13 2016 umeabot <umeabot> 3.7p3-23.mga6
+ Revision: 959662
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 3.7p3-22.mga6
+ Revision: 937576
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 3.7p3-21.mga6
+ Revision: 937147
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.7p3-20.mga5
+ Revision: 739800
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 3.7p3-19.mga5
+ Revision: 693568
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 3.7p3-18.mga5
+ Revision: 678303
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.7p3-17.mga4
+ Revision: 503214
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.7p3-16.mga3
+ Revision: 347379
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 29 2012 colin <colin> 3.7p3-15.mga2
+ Revision: 234288
- Add LSB headers to initscripts (mga#5262)

* Fri Mar 18 2011 tv <tv> 3.7p3-14.mga1
+ Revision: 73769
- bump release
- clean up
- imported package canna


* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 3.7p3-13mdv2011.0
+ Revision: 635026
- rebuild
- fix build
- fix str fmt

* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 3.7p3-12mdv2011.0
+ Revision: 616938
- the mass rebuild of 2010.0 packages

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 3.7p3-11mdv2010.0
+ Revision: 436929
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 3.7p3-10mdv2009.1
+ Revision: 350661
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 3.7p3-9mdv2009.0
+ Revision: 243433
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 3.7p3-7mdv2008.1
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Feb 04 2007 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2007-02-04 13:45:47 (116150)
- rebuild for 2007.1
- Import canna

* Thu Jun 08 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.7p3-6mdv2007.0
- fix buildrequires
- fix executable-marked-as-config-file
- fix summary-ended-with-dot

* Wed Apr 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 3.7p3-5mdk
- patch 2: fix build (#21834)

* Fri Aug 12 2005 Nicolas Lécureuil <neoclust@mandriva.org> 3.7p3-4mdk
- fix rpmlint errors (PreReq)

* Fri Aug 12 2005 Nicolas Lécureuil <neoclust@mandriva.org> 3.7p3-3mdk
- fix rpmlint errors (PreReq)

* Sat Jul 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.7p3-2mdk
- fix build on x86_64

* Sat Jul 31 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.7p3-1mdk
- new release
- fix buildrequires
- add proper prereq

